Passer directement au contenu principal

Ce navigateur n’est plus pris en charge.

Effectuez une mise à niveau vers Microsoft Edge pour tirer parti des dernières fonctionnalités, des mises à jour de sécurité et du support technique.

Télécharger Microsoft Edge Plus d’informations sur Internet Explorer et Microsoft Edge
microsoft-foundry.rest.security.o-auth2-auth

Insights

Generate insights

POST /insights

Generates an insights report from the provided evaluation configuration.

Paramètres d’en-tête

Foundry-Features enum

A feature flag opt-in required when using preview operations or modifying persisted preview resources.

Insights=V1Preview
Repeatability-Request-ID string

Unique, client-generated identifier for ensuring request idempotency. Use the same ID for retries to prevent duplicate evaluations.

Repeatability-First-Sent string

Timestamp indicating when this request was first initiated. Used in conjunction with repeatability-request-id for idempotency control.

Paramètres de la requête

api-version string obligatoire

The API version to use for this operation.

Corps de la demande

Complete evaluation configuration including data source, evaluators, and result settings

Content-Type: application/json
id string obligatoire

The unique identifier for the insights report.

metadata InsightsMetadata obligatoire

Metadata about the insights.

createdAt string obligatoire

The timestamp when the insights were created.

completedAt string

The timestamp when the insights were completed.

state enum | string obligatoire

Enum describing allowed operation states.

Un des éléments suivants :
enum
NotStartedRunningSucceededFailedCanceled
string
displayName string obligatoire

User friendly display name for the insight.

request EvaluationRunClusterInsight | AgentClusterInsight | EvaluationComparison obligatoire

The request of the insights report.

Celui-ci peut avoir l'une des valeurs suivantes :
EvaluationRunClusterInsight EvaluationRunClusterInsightRequest

Insights on set of Evaluation Results

type enum obligatoire

The type of insights request.

EvaluationRunClusterInsight
evalId string obligatoire

Evaluation Id for the insights.

runIds string[] obligatoire

List of evaluation run IDs for the insights.

modelConfiguration InsightModelConfiguration

Configuration of the model used in the insight generation.

modelDeploymentName string obligatoire

The model deployment to be evaluated. Accepts either the deployment name alone or with the connection name as '{connectionName}/<modelDeploymentName>'.

AgentClusterInsight AgentClusterInsightRequest

Insights on set of Agent Evaluation Results

type enum obligatoire

The type of request.

AgentClusterInsight
agentName string obligatoire

Identifier for the agent.

modelConfiguration InsightModelConfiguration

Configuration of the model used in the insight generation.

modelDeploymentName string obligatoire

The model deployment to be evaluated. Accepts either the deployment name alone or with the connection name as '{connectionName}/<modelDeploymentName>'.

EvaluationComparison EvaluationComparisonInsightRequest

Evaluation Comparison Request

type enum obligatoire

The type of request.

EvaluationComparison
evalId string obligatoire

Identifier for the evaluation.

baselineRunId string obligatoire

The baseline run ID for comparison.

treatmentRunIds string[] obligatoire

List of treatment run IDs for comparison.

result EvaluationComparison | EvaluationRunClusterInsight | AgentClusterInsight

The result of the insights.

Celui-ci peut avoir l'une des valeurs suivantes :
EvaluationComparison EvaluationComparisonInsightResult

Insights from the evaluation comparison.

type enum obligatoire

The type of insights result.

EvaluationComparison
comparisons EvalRunResultComparison[] obligatoire

Comparison results for each treatment run against the baseline.

method string obligatoire

The statistical method used for comparison.

EvaluationRunClusterInsight EvaluationRunClusterInsightResult

Insights from the evaluation run cluster analysis.

type enum obligatoire

The type of insights result.

EvaluationRunClusterInsight
clusterInsight ClusterInsightResult obligatoire

Insights from the cluster analysis.

summary InsightSummary obligatoire

Summary of the error cluster analysis.

sampleCount integer obligatoire

Total number of samples analyzed.

uniqueSubclusterCount integer obligatoire

Total number of unique subcluster labels.

uniqueClusterCount integer obligatoire

Total number of unique clusters.

method string obligatoire

Method used for clustering.

usage ClusterTokenUsage obligatoire

Token usage for cluster analysis

inputTokenUsage integer obligatoire

input token usage

outputTokenUsage integer obligatoire

output token usage

totalTokenUsage integer obligatoire

total token usage

clusters InsightCluster[] obligatoire

List of clusters identified in the insights.

coordinates object

Optional mapping of IDs to 2D coordinates used by the UX for visualization. The map keys are string identifiers (for example, a cluster id or a sample id) and the values are the coordinates and visual size for rendering on a 2D chart. This property is omitted unless the client requests coordinates (for example, by passing includeCoordinates=true as a query parameter). Example: { "cluster-1": { "x": 12, "y": 34, "size": 8 }, "sample-123": { "x": 18, "y": 22, "size": 4 } } Coordinates are intended only for client-side visualization and do not modify the canonical insights results.

[key: string] ChartCoordinate

Coordinates for the analysis chart.

x integer obligatoire

X-axis coordinate.

y integer obligatoire

Y-axis coordinate.

size integer obligatoire

Size of the chart element.

AgentClusterInsight AgentClusterInsightResult

Insights from the agent cluster analysis.

type enum obligatoire

The type of insights result.

AgentClusterInsight
clusterInsight ClusterInsightResult obligatoire

Insights from the cluster analysis.

summary InsightSummary obligatoire

Summary of the error cluster analysis.

sampleCount integer obligatoire

Total number of samples analyzed.

uniqueSubclusterCount integer obligatoire

Total number of unique subcluster labels.

uniqueClusterCount integer obligatoire

Total number of unique clusters.

method string obligatoire

Method used for clustering.

usage ClusterTokenUsage obligatoire

Token usage for cluster analysis

inputTokenUsage integer obligatoire

input token usage

outputTokenUsage integer obligatoire

output token usage

totalTokenUsage integer obligatoire

total token usage

clusters InsightCluster[] obligatoire

List of clusters identified in the insights.

coordinates object

Optional mapping of IDs to 2D coordinates used by the UX for visualization. The map keys are string identifiers (for example, a cluster id or a sample id) and the values are the coordinates and visual size for rendering on a 2D chart. This property is omitted unless the client requests coordinates (for example, by passing includeCoordinates=true as a query parameter). Example: { "cluster-1": { "x": 12, "y": 34, "size": 8 }, "sample-123": { "x": 18, "y": 22, "size": 4 } } Coordinates are intended only for client-side visualization and do not modify the canonical insights results.

[key: string] ChartCoordinate

Coordinates for the analysis chart.

x integer obligatoire

X-axis coordinate.

y integer obligatoire

Y-axis coordinate.

size integer obligatoire

Size of the chart element.

Réponses

The request has succeeded and a new resource has been created as a result.

Corps

Content-Type: application/json
id string obligatoire

The unique identifier for the insights report.

metadata InsightsMetadata obligatoire

Metadata about the insights.

createdAt string obligatoire

The timestamp when the insights were created.

completedAt string

The timestamp when the insights were completed.

state enum | string obligatoire

Enum describing allowed operation states.

Un des éléments suivants :
enum
NotStartedRunningSucceededFailedCanceled
string
displayName string obligatoire

User friendly display name for the insight.

request EvaluationRunClusterInsight | AgentClusterInsight | EvaluationComparison obligatoire

The request of the insights report.

Celui-ci peut avoir l'une des valeurs suivantes :
EvaluationRunClusterInsight EvaluationRunClusterInsightRequest

Insights on set of Evaluation Results

type enum obligatoire

The type of insights request.

EvaluationRunClusterInsight
evalId string obligatoire

Evaluation Id for the insights.

runIds string[] obligatoire

List of evaluation run IDs for the insights.

modelConfiguration InsightModelConfiguration

Configuration of the model used in the insight generation.

modelDeploymentName string obligatoire

The model deployment to be evaluated. Accepts either the deployment name alone or with the connection name as '{connectionName}/<modelDeploymentName>'.

AgentClusterInsight AgentClusterInsightRequest

Insights on set of Agent Evaluation Results

type enum obligatoire

The type of request.

AgentClusterInsight
agentName string obligatoire

Identifier for the agent.

modelConfiguration InsightModelConfiguration

Configuration of the model used in the insight generation.

modelDeploymentName string obligatoire

The model deployment to be evaluated. Accepts either the deployment name alone or with the connection name as '{connectionName}/<modelDeploymentName>'.

EvaluationComparison EvaluationComparisonInsightRequest

Evaluation Comparison Request

type enum obligatoire

The type of request.

EvaluationComparison
evalId string obligatoire

Identifier for the evaluation.

baselineRunId string obligatoire

The baseline run ID for comparison.

treatmentRunIds string[] obligatoire

List of treatment run IDs for comparison.

result EvaluationComparison | EvaluationRunClusterInsight | AgentClusterInsight

The result of the insights.

Celui-ci peut avoir l'une des valeurs suivantes :
EvaluationComparison EvaluationComparisonInsightResult

Insights from the evaluation comparison.

type enum obligatoire

The type of insights result.

EvaluationComparison
comparisons EvalRunResultComparison[] obligatoire

Comparison results for each treatment run against the baseline.

method string obligatoire

The statistical method used for comparison.

EvaluationRunClusterInsight EvaluationRunClusterInsightResult

Insights from the evaluation run cluster analysis.

type enum obligatoire

The type of insights result.

EvaluationRunClusterInsight
clusterInsight ClusterInsightResult obligatoire

Insights from the cluster analysis.

summary InsightSummary obligatoire

Summary of the error cluster analysis.

sampleCount integer obligatoire

Total number of samples analyzed.

uniqueSubclusterCount integer obligatoire

Total number of unique subcluster labels.

uniqueClusterCount integer obligatoire

Total number of unique clusters.

method string obligatoire

Method used for clustering.

usage ClusterTokenUsage obligatoire

Token usage for cluster analysis

inputTokenUsage integer obligatoire

input token usage

outputTokenUsage integer obligatoire

output token usage

totalTokenUsage integer obligatoire

total token usage

clusters InsightCluster[] obligatoire

List of clusters identified in the insights.

coordinates object

Optional mapping of IDs to 2D coordinates used by the UX for visualization. The map keys are string identifiers (for example, a cluster id or a sample id) and the values are the coordinates and visual size for rendering on a 2D chart. This property is omitted unless the client requests coordinates (for example, by passing includeCoordinates=true as a query parameter). Example: { "cluster-1": { "x": 12, "y": 34, "size": 8 }, "sample-123": { "x": 18, "y": 22, "size": 4 } } Coordinates are intended only for client-side visualization and do not modify the canonical insights results.

[key: string] ChartCoordinate

Coordinates for the analysis chart.

x integer obligatoire

X-axis coordinate.

y integer obligatoire

Y-axis coordinate.

size integer obligatoire

Size of the chart element.

AgentClusterInsight AgentClusterInsightResult

Insights from the agent cluster analysis.

type enum obligatoire

The type of insights result.

AgentClusterInsight
clusterInsight ClusterInsightResult obligatoire

Insights from the cluster analysis.

summary InsightSummary obligatoire

Summary of the error cluster analysis.

sampleCount integer obligatoire

Total number of samples analyzed.

uniqueSubclusterCount integer obligatoire

Total number of unique subcluster labels.

uniqueClusterCount integer obligatoire

Total number of unique clusters.

method string obligatoire

Method used for clustering.

usage ClusterTokenUsage obligatoire

Token usage for cluster analysis

inputTokenUsage integer obligatoire

input token usage

outputTokenUsage integer obligatoire

output token usage

totalTokenUsage integer obligatoire

total token usage

clusters InsightCluster[] obligatoire

List of clusters identified in the insights.

coordinates object

Optional mapping of IDs to 2D coordinates used by the UX for visualization. The map keys are string identifiers (for example, a cluster id or a sample id) and the values are the coordinates and visual size for rendering on a 2D chart. This property is omitted unless the client requests coordinates (for example, by passing includeCoordinates=true as a query parameter). Example: { "cluster-1": { "x": 12, "y": 34, "size": 8 }, "sample-123": { "x": 18, "y": 22, "size": 4 } } Coordinates are intended only for client-side visualization and do not modify the canonical insights results.

[key: string] ChartCoordinate

Coordinates for the analysis chart.

x integer obligatoire

X-axis coordinate.

y integer obligatoire

Y-axis coordinate.

size integer obligatoire

Size of the chart element.

Client error

Corps

Content-Type: application/json
error OpenAI.Error obligatoire
code string | null obligatoire
message string obligatoire
param string | null
type string
misalignment OpenAI.MisalignmentErrorDetailsResource
review_target string | null
error_type string | enum
Un des éléments suivants :
string
enum
potentially_unintended_data_transferpotentially_unintended_data_accesspotentially_unintended_destructive_activityother
detailed_explanation string

The public explanation for this block.

steer OpenAI._MisalignmentSteer
message string obligatoire

The public continuation instruction.

details OpenAI.Error[]
additionalInfo object
debugInfo object

Server error

Corps

Content-Type: application/json
error OpenAI.Error obligatoire
code string | null obligatoire
message string obligatoire
param string | null
type string
misalignment OpenAI.MisalignmentErrorDetailsResource
review_target string | null
error_type string | enum
Un des éléments suivants :
string
enum
potentially_unintended_data_transferpotentially_unintended_data_accesspotentially_unintended_destructive_activityother
detailed_explanation string

The public explanation for this block.

steer OpenAI._MisalignmentSteer
message string obligatoire

The public continuation instruction.

details OpenAI.Error[]
additionalInfo object
debugInfo object

Requête

POST /insights HTTP/1.1

Response

Status: 201
Content-Type: application/json
Status: 4XX
Content-Type: application/json
Status: 5XX
Content-Type: application/json
fr-fr
Vos choix en matière de confidentialité
  • Clause d’exclusion de responsabilité sur l’IA
  • Versions antérieures
  • Blog
  • Collaboration
  • Confidentialité
  • Confidentialité de la santé des consommateurs
  • Conditions d’utilisation
  • Accessibilité
  • Marques
  • © Microsoft 2026